import datetime
import serial

ARDUINO = serial.Serial('/dev/ttyACM0', 9600)
count = 0


def write_uid_file():
    f = open("UID", "a")
    f.write(str(datetime.datetime.now()))
    f.write(str(ARDUINO.readline()).replace("b'", "_").split('.$', 1)[0])
    f.write("\n")
    f.close()


def copy_uid_file(file):
    with open(file) as f:
        with open("UID.copy", "w") as f1:
            for line in f:
                f1.write(line)


while True:
    write_uid_file()
    count += 1
    if count % 20 == 0:
        copy_uid_file("UID")
